## whois 5.5.14

=== debian/changelog ===
whois (5.5.14) unstable; urgency=medium

  * Added the .bf and .sd TLD servers.
  * Removed the .gu TLD server.
  * Updated the .dm, .fj, .mt and .pk TLD servers.
  * Updated the charset for whois.nic.tr.
  * Updated the list of new gTLDs.
  * Removed whois.nic.fr from the list of RIPE-like servers, because it
    is not one anymore. (Closes: #1021110)
  * Renamed whois.arnes.si to whois.register.si in the list of RIPE-like
    servers.
  * Added the hiding string for whois.auda.org.au.
  * Fixed uclibc builds, because uclibc does not have NLS support.

 -- Marco d'Itri <md@linux.it>  Sun, 16 Oct 2022 22:16:34 +0200

=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 4.6.1.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), gettext, pkg-config,
 libidn2-dev (>= 2.0.3),
Vcs-Git: https://github.com/rfc1036/whois.git
Vcs-Browser: https://github.com/rfc1036/whois

Package: whois
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: intelligent WHOIS client
 This package provides a commandline client for the WHOIS (RFC 3912)
 protocol, which queries online servers for information such as contact
 details for domains and IP address assignments.
 It can intelligently select the appropriate WHOIS server for most queries.
 .
 The package also contains mkpasswd, a features-rich front end to the
 password encryption function crypt(3).

## whois 5.5.15

=== debian/changelog ===
whois (5.5.15) unstable; urgency=medium

  * Updated the .bd, .nz and .tv TLD servers.
  * Added the .llyw.cymru, .gov.scot and .gov.wales SLD servers.
  * Updated the .ac.uk and .gov.uk SLD servers.
  * Recursion has been enabled for whois.nic.tv.
  * Updated the list of new gTLDs with four generic TLDs assigned in
    October 2013 which were missing due to a bug.
  * Removed 4 new gTLDs which are no longer active.
  * Added the Georgian translation, contributed by Temuri Doghonadze.
  * Updated the Finnish translation, contributed by Lauri Nurmi.

 -- Marco d'Itri <md@linux.it>  Wed, 28 Dec 2022 20:44:11 +0100

## whois 5.5.16

=== debian/changelog ===
whois (5.5.16) unstable; urgency=medium

  * Add bash completion support, courtesy of Ville Skyttä.
  * Updated the .tr TLD server.
  * Removed support for -metu NIC handles.

 -- Marco d'Itri <md@linux.it>  Tue, 28 Feb 2023 00:58:22 +0100

## whois 5.5.17

=== Makefile ===
prefix = /usr

ifdef DESTDIR
BASEDIR := $(DESTDIR)
endif

CFLAGS ?= -g -O2

PKG_CONFIG ?= pkg-config
PERL ?= perl
INSTALL ?= install

whois_OBJECTS := whois.o utils.o
mkpasswd_OBJECTS := mkpasswd.o utils.o

##############################################################################
# Solaris
#whois_LDADD += -lnsl -lsocket -liconv

# FreeBSD
#whois_LDADD += -liconv
#LIBS += -L/usr/local/lib -lintl
#DEFS += -I/usr/local/include

# OS/2 EMX
#whois_LDADD += -lsocket
#LDFLAGS += -Zexe -Dstrncasecmp=strnicmp

# OS X
#whois_LDADD += -liconv

ifdef CONFIG_FILE
DEFS += -DCONFIG_FILE=\"$(CONFIG_FILE)\"
endif

ifdef LOCALEDIR
DEFS += -DLOCALEDIR=\"$(BASEDIR)$(prefix)/share/locale\"
endif

# libidn support has been autodetected since 5.2.18
ifdef HAVE_LIBIDN
$(error Please fix your build system to stop defining HAVE_LIBIDN!)
endif

ifeq ($(shell $(PKG_CONFIG) --exists 'libidn2 >= 2.0.3' || echo NO),)
whois_LDADD += $(shell $(PKG_CONFIG) --libs libidn2)
DEFS += -DHAVE_LIBIDN2 $(shell $(PKG_CONFIG) --cflags libidn2)
else ifeq ($(shell $(PKG_CONFIG) --exists 'libidn' || echo NO),)
whois_LDADD += $(shell $(PKG_CONFIG) --libs libidn)
DEFS += -DHAVE_LIBIDN $(shell $(PKG_CONFIG) --cflags libidn)
endif

ifdef HAVE_ICONV
whois_OBJECTS += simple_recode.o
DEFS += -DHAVE_ICONV
endif

ifeq ($(shell $(PKG_CONFIG) --exists 'libxcrypt >= 4.1' || echo NO),)
DEFS += -DHAVE_CRYPT_H -DHAVE_LINUX_CRYPT_GENSALT $(shell $(PKG_CONFIG) --cflags libcrypt)
mkpasswd_LDADD += $(shell $(PKG_CONFIG) --libs libcrypt)
else ifdef HAVE_XCRYPT
DEFS += -DHAVE_XCRYPT_H -DHAVE_LINUX_CRYPT_GENSALT
mkpasswd_LDADD += -lxcrypt
else ifdef HAVE_LIBOWCRYPT
# owl and openSUSE have crypt_gensalt(3) in libowcrypt
DEFS += -DHAVE_CRYPT_H -DHAVE_LINUX_CRYPT_GENSALT -D_OW_SOURCE
mkpasswd_LDADD += -lcrypt -lowcrypt
else
mkpasswd_LDADD += -lcrypt
endif

CPPFLAGS += $(DEFS) $(INCLUDES)

BASHCOMPDIR ?= $(shell $(PKG_CONFIG) --variable=completionsdir bash-completion 2>/dev/null || echo /etc/bash_completion.d)

##############################################################################
all: Makefile.depend whois mkpasswd pos

##############################################################################
%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<

whois: $(whois_OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(whois_LDADD) $(LIBS)

mkpasswd: $(mkpasswd_OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(mkpasswd_LDADD) $(LIBS)

##############################################################################
version.h: debian/changelog make_version_h.pl
	$(PERL) make_version_h.pl $< > $@

as_del.h: as_del_list make_as_del.pl
	$(PERL) make_as_del.pl < $< > $@

as32_del.h: as32_del_list make_as32_del.pl
	$(PERL) make_as32_del.pl < $< > $@

ip_del.h: ip_del_list make_ip_del.pl
	$(PERL) make_ip_del.pl < $< > $@

ip6_del.h: ip6_del_list make_ip6_del.pl
	$(PERL) make_ip6_del.pl < $< > $@

new_gtlds.h: new_gtlds_list make_new_gtlds.pl
	$(PERL) make_new_gtlds.pl < $< > $@

nic_handles.h: nic_handles_list make_nic_handles.pl
	$(PERL) make_nic_handles.pl < $< > $@

tld_serv.h: tld_serv_list make_tld_serv.pl
	$(PERL) make_tld_serv.pl < $< > $@

servers_charset.h: servers_charset_list make_servers_charset.pl
	$(PERL) make_servers_charset.pl < $< > $@

##############################################################################
afl:
	-rm -f Makefile.depend
	DEFS=-DAFL_MODE=1 AFL_HARDEN=1 $(MAKE) whois CC=afl-gcc HAVE_ICONV=1

afl-run:
	nice afl-fuzz -i ../afl_in -o ../afl_out -- ./whois

##############################################################################
install: install-whois install-mkpasswd install-pos install-bashcomp

install-whois: whois
	$(INSTALL) -d $(BASEDIR)$(prefix)/bin/
	$(INSTALL) -d $(BASEDIR)$(prefix)/share/man/man1/
	$(INSTALL) -d $(BASEDIR)$(prefix)/share/man/man5/
	$(INSTALL) -m 0755 whois $(BASEDIR)$(prefix)/bin/
	$(INSTALL) -m 0644 whois.1 $(BASEDIR)$(prefix)/share/man/man1/
	$(INSTALL) -m 0644 whois.conf.5 $(BASEDIR)$(prefix)/share/man/man5/

install-mkpasswd: mkpasswd
	$(INSTALL) -d $(BASEDIR)$(prefix)/bin/
	$(INSTALL) -d $(BASEDIR)$(prefix)/share/man/man1/
	$(INSTALL) -m 0755 mkpasswd $(BASEDIR)$(prefix)/bin/
	$(INSTALL) -m 0644 mkpasswd.1 $(BASEDIR)$(prefix)/share/man/man1/

install-pos:
	cd po && $(MAKE) install

install-bashcomp:
	$(INSTALL) -d $(BASEDIR)$(BASHCOMPDIR)
	$(INSTALL) -m 0644 mkpasswd.bash $(BASEDIR)$(BASHCOMPDIR)/mkpasswd
	$(INSTALL) -m 0644 whois.bash $(BASEDIR)$(BASHCOMPDIR)/whois

distclean: clean
	rm -f version.h po/whois.pot

clean:
	rm -f Makefile.depend as_del.h as32_del.h ip_del.h ip6_del.h \
		nic_handles.h new_gtlds.h tld_serv.h servers_charset.h \
		*.o whois mkpasswd
	rm -f po/*.mo

pos:
	cd po && $(MAKE)

depend: Makefile.depend
Makefile.depend:
	$(CC) $(CPPFLAGS) $(CFLAGS) -MM -MG *.c > $@

-include Makefile.depend

.DELETE_ON_ERROR:

=== debian/changelog ===
whois (5.5.17) unstable; urgency=medium

  [ Robert Scheck ]
  * Added the .cd TLD server.
  * Updated the -kg NIC handles server name.

  [ Marco d'Itri ]
  * Removed 2 new gTLDs which are no longer active.

 -- Marco d'Itri <md@linux.it>  Wed, 03 May 2023 14:24:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Standards-Version: 4.6.1.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), gettext, pkg-config,
+ bash-completion,
  libidn2-dev (>= 2.0.3),
 Vcs-Git: https://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois

## whois 5.5.19

=== debian/changelog ===
whois (5.5.19) unstable; urgency=medium

  * Fixed english support for Japanese queries to not add again the /e
    argument if it had already been provided by the user. (Closes: #1050171)
  * Added the .ye and .বাংলা (.xn--54b7fta0cc, Bangladesh) TLD servers.
  * Updated the .ba, .bb, .dk, .es, .gt, .jo, .ml, .mo, .pa, .pn, .sv,
    .uy, .ﺍﻻﺭﺪﻧ (.xn--mgbayh7gpa, Jordan) and .澳門 (.xn--mix891f, Macao)
    TLD servers.
  * Upgraded the TLD URLs to HTTPS whenever possible.
  * Updated the charset for whois.jprs.jp.
  * Removed 3 new gTLDs which are no longer active.
  * Removed support for the obsolete as32 dot notation.

 -- Marco d'Itri <md@linux.it>  Sun, 08 Oct 2023 22:58:33 +0200

whois (5.5.18) unstable; urgency=medium

  [ Marco d'Itri ]
  * Updated the .ga TLD server. (Closes: #1037288)
  * Added new recovered IPv4 allocations.
  * Removed the delegation of 43.0.0.0/8 to JPNIC.
  * Removed 12 new gTLDs which are no longer active.
  * Improved the man page source, courtesy of Bjarni Ingi Gislason.
    (Closes: #1040613)

  [ Robert Scheck ]
  * Added the .edu.za SLD server.
  * Updated the .alt.za SLD server.
  * Added the -ru and -su NIC handles servers.

 -- Marco d'Itri <md@linux.it>  Sat, 22 Jul 2023 17:56:56 +0200

## whois 5.5.22

=== debian/changelog ===
whois (5.5.22) unstable; urgency=medium

  * Fixed a segmentation fault with --no-recursion.
  * Updated the .bm and .vi TLD servers.
  * Removed 4 new gTLDs which are no longer active.

 -- Marco d'Itri <md@linux.it>  Mon, 01 Apr 2024 20:14:41 +0200

whois (5.5.21) unstable; urgency=medium

  * Updated the .cv and .sd TLD servers.
  * Remove 4 new gTLDs which are no longer active.

 -- Marco d'Itri <md@linux.it>  Sat, 24 Feb 2024 17:22:22 +0100

whois (5.5.20) unstable; urgency=medium

  * Added the .gn TLD server.
  * Removed 6 new gTLDs which are no longer active.
  * Enabled getopt_long(3) support on Solaris.

 -- Marco d'Itri <md@linux.it>  Fri, 10 Nov 2023 15:26:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 4.6.1.1
+Standards-Version: 4.6.2.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), gettext, pkg-config,
+Build-Depends: debhelper-compat (= 13), gettext, pkgconf,
  bash-completion,
  libidn2-dev (>= 2.0.3),
 Vcs-Git: https://github.com/rfc1036/whois.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all future=+lfs

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CONFIG_FILE="/etc/whois.conf" HAVE_ICONV=1

## whois 5.6.1~bpo12+1

=== debian/changelog ===
whois (5.6.1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Marco d'Itri <md@linux.it>  Sat, 24 May 2025 18:42:54 +0200

whois (5.6.1) unstable; urgency=medium

  * Added the .pg TLD server.
  * Updated the .gov, .mu, .中国 (.xn--fiqs8s) and .中國 (.xn--fiqz9s)
    TLD servers.
  * Removed the .jobs TLD server.
  * Added the encodings for whois.afrinic.net and whois.apnic.net.
  * Enabled the UTF-8 encoding for whois.ripe.net.
  * Use the last ReferralServer returned by the ARIN server instead of
    the first, because we want to follow the referral for the most
    specific record returned.
  * Make sure to avoid trivial referral loops.

 -- Marco d'Itri <md@linux.it>  Sat, 17 May 2025 01:30:06 +0200

whois (5.6.0) unstable; urgency=medium

  * Fixed the mangling of RADB queries with commands.
  * Implemented the parsing of more variants of ARIN's ReferralServer
    field.
  * Implemented following the APNIC pseudo-referrals.
  * Added the .ad and .za TLD servers.
  * Updated the .ao, .bz, .gi, .gq, .gr, .gw, .lc, .md, .pn, .pr, .uy, .vc,
    .info, .mobi, .ελ (.xn--qxam, Greece) and .გე (.xn--node, Georgia) TLD
    servers.
  * Added 2410::/12.
  * Removed 7 new gTLDs which are no longer active.
  * Cleaned up the markup of the man pages, courtesy of Bjarni Ingi
    Gislason. (Closes: #1036826, #1094208)

 -- Marco d'Itri <md@linux.it>  Mon, 05 May 2025 02:57:37 +0200

whois (5.5.23) unstable; urgency=medium

  * Updated the .sc, .新加坡 (.xn--yfro4i67o, Singapore) and .சிங்கப்பூர்
    (.xn--clchc0ea0b2g2a9gcd, Singapore) TLD servers.

 -- Marco d'Itri <md@linux.it>  Sat, 04 May 2024 03:13:22 +0200

## whois 5.6.2~bpo12+1

=== debian/changelog ===
whois (5.6.2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Marco d'Itri <md@linux.it>  Sat, 21 Jun 2025 01:07:12 +0200

whois (5.6.2) unstable; urgency=medium

  * Updated the .post and .in (and related IDN TLDs) TLD servers.
  * Removed 1 new gTLDs which is no longer active.
  * Build-Depend on libcrypt-dev. (Closes: #1106977)

 -- Marco d'Itri <md@linux.it>  Fri, 06 Jun 2025 18:22:04 +0200

## whois 5.6.3

=== debian/changelog ===
whois (5.6.3) unstable; urgency=medium

  * Added the .sr and .мон (.xn--l1acc, Mongolia) TLD servers.
  * Use readpassphrase(3) on OpenBSD and FreeBSD.

 -- Marco d'Itri <md@linux.it>  Thu, 17 Jul 2025 05:15:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.2.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), gettext, pkgconf,
  bash-completion,
- libidn2-dev (>= 2.0.3),
+ libcrypt-dev,
+ libidn2-dev,
 Vcs-Git: https://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois

## whois 5.6.4

=== debian/changelog ===
whois (5.6.4) unstable; urgency=medium

  * Updated the .cm and .to TLD servers.

 -- Marco d'Itri <md@linux.it>  Sat, 02 Aug 2025 01:13:07 +0200

## whois 5.6.5

=== debian/changelog ===
whois (5.6.5) unstable; urgency=medium

  * Updated the .co TLD server.
  * Added some large KRNIC networks.
  * Updated the second level .uk TLD servers.
  * Removed the .pro TLD server.
  * Removed 1 new gTLD which is no longer active.

 -- Marco d'Itri <md@linux.it>  Mon, 13 Oct 2025 03:37:20 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  bash-completion,
  libcrypt-dev,
  libidn2-dev,
-Vcs-Git: https://github.com/rfc1036/whois.git
-Vcs-Browser: https://github.com/rfc1036/whois
+Vcs-Git: https://salsa.debian.org/md/whois.git
+Vcs-Browser: https://salsa.debian.org/md/whois
 
 Package: whois
 Architecture: any

## whois 5.6.6

=== debian/changelog ===
whois (5.6.6) unstable; urgency=medium

  * Added the .mc TLD server.
  * Updated the .ps TLD server.
  * Removed the .info, .mobi, .travel and .فلسطين (.xn--ygbi2ammx,
    Palestinian Territory) TLD servers.
  * Removed 3 new gTLDs which are no longer active.
  * mkpasswd: added support the Chinese SM3-based hashing algorithms.

 -- Marco d'Itri <md@linux.it>  Mon, 16 Feb 2026 02:46:51 +0100
